Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface VerticalScrollbar

All Superinterfaces:
  HasScrollHandlers, HasVerticalScrolling, IsWidget

All Known Implementing Classes:
  NativeVerticalScrollbar

    public interface VerticalScrollbar

extends HasVerticalScrolling, HasScrollHandlers, IsWidget

Describes a vertical scrollbar.

Method Summary
`int` | `getScrollHeight()` Get the height in pixels of the scrollable content that the scrollbar controls.
`void` | `setScrollHeight(int height)` Set the height in pixels of the scrollable content that the scrollbar controls.

Methods inherited from interface com.google.gwt.user.client.ui.HasVerticalScrolling
`getMaximumVerticalScrollPosition, getMinimumVerticalScrollPosition, getVerticalScrollPosition, setVerticalScrollPosition`

Methods inherited from interface com.google.gwt.event.dom.client.HasScrollHandlers
`addScrollHandler`

Methods inherited from interface com.google.gwt.user.client.ui.IsWidget
`asWidget`

Method Detail

### getScrollHeight

    int getScrollHeight()

  Get the height in pixels of the scrollable content that the scrollbar controls.

  This is not the same as the maximum scroll top position. The maximum scroll position equals the `scrollHeight- offsetHeight`;

  Returns:
    the scroll height
  See Also:
    `setScrollHeight(int)`

### setScrollHeight

    void setScrollHeight(int height)

  Set the height in pixels of the scrollable content that the scrollbar controls.

  This is not the same as the maximum scroll top position. The maximum scroll position equals the `scrollHeight- offsetHeight`;

  Parameters:
    `height` - the size height pixels

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD